Bullet Collision Detection & Physics Library: btWheelInfo Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
btWheelInfo Struct Reference

btWheelInfo contains information per wheel about friction and suspension. More...

`#include <btWheelInfo.h>`

Collaboration diagram for btWheelInfo:
[legend]

## Classes
struct | RaycastInfo

## Public Member Functions
btScalar | getSuspensionRestLength () const
| btWheelInfo ()
| btWheelInfo (btWheelInfoConstructionInfo &ci)
void | updateWheel (const btRigidBody &chassis, RaycastInfo &raycastInfo)

## Public Attributes
RaycastInfo | m_raycastInfo
btTransform | m_worldTransform
btVector3 | m_chassisConnectionPointCS
btVector3 | m_wheelDirectionCS
btVector3 | m_wheelAxleCS
btScalar | m_suspensionRestLength1
btScalar | m_maxSuspensionTravelCm
btScalar | m_wheelsRadius
btScalar | m_suspensionStiffness
btScalar | m_wheelsDampingCompression
btScalar | m_wheelsDampingRelaxation
btScalar | m_frictionSlip
btScalar | m_steering
btScalar | m_rotation
btScalar | m_deltaRotation
btScalar | m_rollInfluence
btScalar | m_maxSuspensionForce
btScalar | m_engineForce
btScalar | m_brake
bool | m_bIsFrontWheel
void * | m_clientInfo
btScalar | m_clippedInvContactDotSuspension
btScalar | m_suspensionRelativeVelocity
btScalar | m_wheelsSuspensionForce
btScalar | m_skidInfo

## Detailed Description

btWheelInfo contains information per wheel about friction and suspension.

Definition at line 37 of file btWheelInfo.h.

## Constructor & Destructor Documentation

## ◆ btWheelInfo() [1/2]

btWheelInfo::btWheelInfo | ( |  | ) |
| inline

Definition at line 81 of file btWheelInfo.h.

## ◆ btWheelInfo() [2/2]

btWheelInfo::btWheelInfo | ( | btWheelInfoConstructionInfo & | ci | ) |
| inline

Definition at line 83 of file btWheelInfo.h.

## Member Function Documentation

## ◆ getSuspensionRestLength()

btScalar btWheelInfo::getSuspensionRestLength | ( |  | ) | const

Definition at line 14 of file btWheelInfo.cpp.

## ◆ updateWheel()

void btWheelInfo::updateWheel | ( | const btRigidBody & | chassis,
|  | RaycastInfo & | raycastInfo
| ) |  |

Definition at line 19 of file btWheelInfo.cpp.

## Member Data Documentation

## ◆ m_bIsFrontWheel

bool btWheelInfo::m_bIsFrontWheel

Definition at line 77 of file btWheelInfo.h.

## ◆ m_brake

btScalar btWheelInfo::m_brake

Definition at line 75 of file btWheelInfo.h.

## ◆ m_chassisConnectionPointCS

btVector3 btWheelInfo::m_chassisConnectionPointCS

Definition at line 56 of file btWheelInfo.h.

## ◆ m_clientInfo

void* btWheelInfo::m_clientInfo

Definition at line 79 of file btWheelInfo.h.

## ◆ m_clippedInvContactDotSuspension

btScalar btWheelInfo::m_clippedInvContactDotSuspension

Definition at line 109 of file btWheelInfo.h.

## ◆ m_deltaRotation

btScalar btWheelInfo::m_deltaRotation

Definition at line 69 of file btWheelInfo.h.

## ◆ m_engineForce

btScalar btWheelInfo::m_engineForce

Definition at line 73 of file btWheelInfo.h.

## ◆ m_frictionSlip

btScalar btWheelInfo::m_frictionSlip

Definition at line 66 of file btWheelInfo.h.

## ◆ m_maxSuspensionForce

btScalar btWheelInfo::m_maxSuspensionForce

Definition at line 71 of file btWheelInfo.h.

## ◆ m_maxSuspensionTravelCm

btScalar btWheelInfo::m_maxSuspensionTravelCm

Definition at line 60 of file btWheelInfo.h.

## ◆ m_raycastInfo

RaycastInfo btWheelInfo::m_raycastInfo

Definition at line 52 of file btWheelInfo.h.

## ◆ m_rollInfluence

btScalar btWheelInfo::m_rollInfluence

Definition at line 70 of file btWheelInfo.h.

## ◆ m_rotation

btScalar btWheelInfo::m_rotation

Definition at line 68 of file btWheelInfo.h.

## ◆ m_skidInfo

btScalar btWheelInfo::m_skidInfo

Definition at line 113 of file btWheelInfo.h.

## ◆ m_steering

btScalar btWheelInfo::m_steering

Definition at line 67 of file btWheelInfo.h.

## ◆ m_suspensionRelativeVelocity

btScalar btWheelInfo::m_suspensionRelativeVelocity

Definition at line 110 of file btWheelInfo.h.

## ◆ m_suspensionRestLength1

btScalar btWheelInfo::m_suspensionRestLength1

Definition at line 59 of file btWheelInfo.h.

## ◆ m_suspensionStiffness

btScalar btWheelInfo::m_suspensionStiffness

Definition at line 63 of file btWheelInfo.h.

## ◆ m_wheelAxleCS

btVector3 btWheelInfo::m_wheelAxleCS

Definition at line 58 of file btWheelInfo.h.

## ◆ m_wheelDirectionCS

btVector3 btWheelInfo::m_wheelDirectionCS

Definition at line 57 of file btWheelInfo.h.

## ◆ m_wheelsDampingCompression

btScalar btWheelInfo::m_wheelsDampingCompression

Definition at line 64 of file btWheelInfo.h.

## ◆ m_wheelsDampingRelaxation

btScalar btWheelInfo::m_wheelsDampingRelaxation

Definition at line 65 of file btWheelInfo.h.

## ◆ m_wheelsRadius

btScalar btWheelInfo::m_wheelsRadius

Definition at line 62 of file btWheelInfo.h.

## ◆ m_wheelsSuspensionForce

btScalar btWheelInfo::m_wheelsSuspensionForce

Definition at line 112 of file btWheelInfo.h.

## ◆ m_worldTransform

btTransform btWheelInfo::m_worldTransform

Definition at line 54 of file btWheelInfo.h.

The documentation for this struct was generated from the following files:

- btWheelInfo.h
- btWheelInfo.cpp